#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=nantou1.21_base.ps
projection=-JM16.0c+
region=-R120.3/121.2/23.1/24.5
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map nantou1.21' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/h10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    23.781   120.986
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    24.417   120.944
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    23.328   120.769
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    23.317   120.774
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    23.980   120.703
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    23.890   121.124
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    23.857   121.105
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    23.920   121.107
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    23.854   121.014
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    23.935   120.998
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    23.423   120.649
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    23.595   120.743
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    23.842   121.011
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    23.281   120.675
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    23.939   121.048
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    24.419   120.905
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    23.856   121.023
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    23.884   120.760
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    23.828   121.046
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    24.303   120.822
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    23.521   120.844
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    23.281   120.556
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    24.018   120.748
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    23.211   120.732
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    23.692   120.984
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    23.829   121.056
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    23.790   120.722
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    23.796   120.727
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    23.772   120.766
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    23.882   121.084
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    23.849   121.026
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    23.348   120.443
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    23.933   121.051
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    23.893   121.086
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    23.927   121.028
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    23.881   121.068
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    23.859   121.020
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    23.867   121.008
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    23.884   121.075
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    23.859   121.016
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    23.917   121.114
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    24.015   121.059
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    23.976   121.056
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.780   120.985
    23.781   120.986
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.783   120.938
    23.781   120.986
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.417   120.945
    24.417   120.944
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.469   120.902
    24.417   120.944
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.328   120.769
    23.328   120.769
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.313   120.756
    23.328   120.769
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.317   120.775
    23.317   120.774
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.310   120.738
    23.317   120.774
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.980   120.703
    23.980   120.703
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.022   120.625
    23.980   120.703
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.890   121.124
    23.890   121.124
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.861   121.185
    23.890   121.124
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.857   121.104
    23.857   121.105
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.895   121.058
    23.857   121.105
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.919   121.107
    23.920   121.107
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.974   121.105
    23.920   121.107
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.854   121.014
    23.854   121.014
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.877   120.994
    23.854   121.014
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.935   120.998
    23.935   120.998
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.956   120.940
    23.935   120.998
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.423   120.649
    23.423   120.649
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.410   120.564
    23.423   120.649
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.595   120.743
    23.595   120.743
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.582   120.661
    23.595   120.743
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.842   121.011
    23.842   121.011
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.829   120.977
    23.842   121.011
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.281   120.675
    23.281   120.675
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.258   120.608
    23.281   120.675
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.939   121.047
    23.939   121.048
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.961   121.021
    23.939   121.048
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.419   120.904
    24.419   120.905
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.494   120.841
    24.419   120.905
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.856   121.022
    23.856   121.023
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.856   121.010
    23.856   121.023
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.884   120.761
    23.884   120.760
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.937   120.696
    23.884   120.760
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.828   121.046
    23.828   121.046
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.854   121.037
    23.828   121.046
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.308   120.822
    24.303   120.822
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.352   120.788
    24.303   120.822
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.521   120.844
    23.521   120.844
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.541   120.803
    23.521   120.844
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.281   120.556
    23.281   120.556
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.277   120.475
    23.281   120.556
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.017   120.748
    24.018   120.748
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.033   120.732
    24.018   120.748
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.211   120.733
    23.211   120.732
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.190   120.692
    23.211   120.732
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.692   120.984
    23.692   120.984
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.679   121.006
    23.692   120.984
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.829   121.055
    23.829   121.056
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.830   121.055
    23.829   121.056
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.790   120.722
    23.790   120.722
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.801   120.775
    23.790   120.722
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.796   120.727
    23.796   120.727
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.800   120.693
    23.796   120.727
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.772   120.766
    23.772   120.766
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.751   120.806
    23.772   120.766
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.882   121.084
    23.882   121.084
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.882   121.074
    23.882   121.084
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.849   121.025
    23.849   121.026
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.847   121.026
    23.849   121.026
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.347   120.443
    23.348   120.443
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.342   120.388
    23.348   120.443
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.933   121.051
    23.933   121.051
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.950   121.003
    23.933   121.051
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.893   121.085
    23.893   121.086
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.882   121.135
    23.893   121.086
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.927   121.027
    23.927   121.028
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.929   121.010
    23.927   121.028
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.880   121.068
    23.881   121.068
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.883   121.051
    23.881   121.068
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.859   121.021
    23.859   121.020
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.832   121.059
    23.859   121.020
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.867   121.008
    23.867   121.008
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.858   120.989
    23.867   121.008
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.883   121.075
    23.884   121.075
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.893   121.050
    23.884   121.075
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.859   121.016
    23.859   121.016
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.849   121.009
    23.859   121.016
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.917   121.114
    23.917   121.114
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.923   121.100
    23.917   121.114
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    24.015   121.059
    24.015   121.059
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    24.025   121.014
    24.015   121.059
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    23.975   121.056
    23.976   121.056
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    23.993   121.023
    23.976   121.056
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    23.781   120.986    27.294     0.707     1.019
    24.417   120.944    31.202     0.988     1.714
    23.328   120.769    13.692     0.836     0.953
    23.317   120.774    10.972     1.198     1.491
    23.980   120.703    34.769     0.985     1.525
    23.890   121.124    46.906     0.611     0.881
    23.857   121.105    47.373     0.654     0.975
    23.920   121.107    46.654     0.668     1.116
    23.854   121.014    38.477     0.870     1.214
    23.935   120.998    38.167     1.149     1.763
    23.423   120.649     6.581     0.808     0.971
    23.595   120.743    26.462     0.918     0.964
    23.842   121.011    40.038     0.646     0.894
    23.281   120.675   -26.816     0.922     1.032
    23.939   121.048    39.721     0.597     0.955
    24.419   120.905    33.222     1.432     2.809
    23.856   121.023    32.894     0.591     1.131
    23.884   120.760    27.369     0.866     1.328
    23.828   121.046    37.529     0.649     1.108
    24.303   120.822    42.260     1.023     2.034
    23.521   120.844    32.778     0.741     0.880
    23.281   120.556   -42.274     1.025     1.143
    24.018   120.748    32.775     0.772     1.281
    23.211   120.732   -18.449     1.070     1.149
    23.692   120.984    48.948     0.645     0.857
    23.829   121.056    40.432     0.676     1.033
    23.790   120.722    41.307     0.530     0.718
    23.796   120.727    37.431     0.627     0.941
    23.772   120.766    40.040     0.575     0.785
    23.882   121.084    38.067     0.584     0.936
    23.849   121.026    39.340     0.615     0.859
    23.348   120.443    -8.067     0.768     0.957
    23.933   121.051    39.906     0.425     0.627
    23.893   121.086    35.487     0.330     0.472
    23.927   121.028    38.955     0.430     0.650
    23.881   121.068    40.574     0.397     0.582
    23.859   121.020    33.925     0.365     0.530
    23.867   121.008    36.775     0.378     0.547
    23.884   121.075    38.882     0.381     0.536
    23.859   121.016    36.407     0.367     0.539
    23.917   121.114    31.318     0.311     0.478
    24.015   121.059    34.720     0.331     0.491
    23.976   121.056    36.019     0.308     0.465
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    23.890   121.124     0.200
    23.859   121.020     0.200
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    23.165   120.402    26.186     1.005     1.111
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    23.165   120.424   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    23.165   120.402     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    23.165   120.402     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    23.120   120.402   5 km
END
