#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=nantou1.21_dcal.ps
projection=-JM16.0c+
region=-R118.4/123.2/21.3/26.3
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration nantou1.21' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/h10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.756   121.133
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.246   120.614
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.246   120.614
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.781   120.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    24.417   120.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    24.417   120.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    24.417   120.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    24.417   120.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    24.417   120.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.417   120.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.417   120.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.417   120.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    24.417   120.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    24.417   120.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    24.417   120.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    24.417   120.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.417   120.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.417   120.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.417   120.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.163   120.757
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.185   120.528
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.082   120.583
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.076   120.365
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.346   120.211
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.175   120.194
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.175   120.194
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.746   120.632
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.823   120.423
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.099   121.365
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.725   120.491
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.754   121.147
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.328   120.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.163   120.757
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.082   120.583
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.076   120.365
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.076   120.365
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.484   120.235
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.484   120.235
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.040   120.228
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.040   120.228
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.823   120.423
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.756   121.133
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.821   121.072
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.099   121.365
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.725   120.491
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.754   121.147
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.754   121.147
    23.317   120.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.756   121.133
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.756   121.133
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.484   120.235
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.484   120.235
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.980   120.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.756   121.133
    23.890   121.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.890   121.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.890   121.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.890   121.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.890   121.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.890   121.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.890   121.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.890   121.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.890   121.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.890   121.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.890   121.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.890   121.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.890   121.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.890   121.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.756   121.133
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.857   121.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.920   121.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.920   121.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.920   121.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.920   121.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.920   121.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.920   121.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.920   121.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.920   121.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.920   121.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.920   121.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.920   121.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.920   121.107
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.854   121.014
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.935   120.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.246   120.614
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.246   120.614
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.163   120.757
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.163   120.757
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.484   120.235
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.082   120.583
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.082   120.583
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.076   120.365
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.076   120.365
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.040   120.228
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.040   120.228
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.823   120.423
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.746   120.632
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.746   120.632
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.423   120.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.246   120.614
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.484   120.235
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.163   120.757
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.163   120.757
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.082   120.583
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.076   120.365
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.076   120.365
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.175   120.194
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.175   120.194
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.595   120.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.246   120.614
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.842   121.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.185   120.528
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.163   120.757
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.076   120.365
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.484   120.235
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.040   120.228
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.746   120.632
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.746   120.632
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.754   121.147
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.099   121.365
    23.281   120.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    23.939   121.048
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    24.419   120.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.419   120.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.419   120.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.676   121.358
    24.419   120.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    24.419   120.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.419   120.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.640   121.566
    24.419   120.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.856   121.023
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.246   120.614
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.246   120.614
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.884   120.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.756   121.133
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.828   121.046
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    24.303   120.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.246   120.614
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.163   120.757
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.185   120.528
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.082   120.583
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.082   120.583
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.346   120.211
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.346   120.211
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.076   120.365
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.076   120.365
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.175   120.194
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.175   120.194
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.099   121.365
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.099   121.365
    23.521   120.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.246   120.614
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.082   120.583
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.076   120.365
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.346   120.211
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.175   120.194
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.163   120.757
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.823   120.423
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.746   120.632
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.746   120.632
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.725   120.491
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.821   121.072
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.821   121.072
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.281   120.556
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    24.018   120.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.163   120.757
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.246   120.614
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.082   120.583
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.185   120.528
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.076   120.365
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.076   120.365
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.823   120.423
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.040   120.228
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.175   120.194
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.175   120.194
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.346   120.211
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.346   120.211
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.725   120.491
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.821   121.072
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.821   121.072
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.821   121.072
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.821   121.072
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.754   121.147
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.754   121.147
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.099   121.365
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.597   120.954
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.597   120.954
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.211   120.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.871   121.507
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.871   121.507
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.246   120.614
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.163   120.757
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.163   120.757
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.185   120.528
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.185   120.528
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.099   121.365
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.692   120.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.829   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.246   120.614
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.185   120.528
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.346   120.211
    23.790   120.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.246   120.614
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.246   120.614
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.185   120.528
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.185   120.528
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.346   120.211
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.346   120.211
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.796   120.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.246   120.614
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.185   120.528
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.871   121.507
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.871   121.507
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.346   120.211
    23.772   120.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.871   121.507
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.882   121.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.756   121.133
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.871   121.507
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.849   121.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.267   120.488
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.478   120.300
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.478   120.300
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.346   120.211
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.346   120.211
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.185   120.528
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.185   120.528
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.246   120.614
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.175   120.194
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.175   120.194
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.076   120.365
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.082   120.583
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.082   120.583
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.638   120.222
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.040   120.228
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.040   120.228
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.163   120.757
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.163   120.757
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.993   120.646
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.993   120.646
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.823   120.423
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.891   120.359
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.891   120.359
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.746   120.632
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    22.746   120.632
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.348   120.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.891   120.359
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.891   120.359
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.537   120.791
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.537   120.791
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    23.933   121.051
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.640
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.640
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.447   120.705
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.891   120.359
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.537   120.791
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.537   120.791
    23.893   121.086
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.640
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.640
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.891   120.359
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.891   120.359
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.537   120.791
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.537   120.791
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.927   121.028
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   121.602
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   121.602
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.640
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.891   120.359
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.891   120.359
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.881   121.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   121.602
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.640
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.891   120.359
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.447   120.705
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.859   121.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   121.602
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   121.602
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.891   120.359
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.891   120.359
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.640
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.640
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.447   120.705
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.447   120.705
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.864   120.281
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.537   120.791
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.537   120.791
    23.867   121.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.640
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.891   120.359
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.891   120.359
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.447   120.705
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.447   120.705
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.884   121.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   121.602
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.891   120.359
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.891   120.359
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.640
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.640
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.351   120.593
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.498   120.424
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.301   120.630
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.189   121.017
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.447   120.705
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.447   120.705
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.859   121.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.696   120.853
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.907   120.680
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.907   120.680
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.043   120.698
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.043   120.698
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.640
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.640
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.901   120.377
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.901   120.377
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.537   120.791
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.537   120.791
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.917   121.114
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.043   120.698
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.043   120.698
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.907   120.680
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.907   120.680
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.961   120.580
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.961   120.580
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.640
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.640
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.537   120.791
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.537   120.791
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.901   120.377
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.901   120.377
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.646   121.016
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.646   121.016
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.688   120.389
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.688   120.389
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.684   120.870
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.684   120.870
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.310   121.741
    24.015   121.059
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.012   120.957
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.992   121.118
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.033   120.926
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.057   120.912
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.955   121.176
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.060   121.174
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.883   120.900
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.904   120.857
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.788   120.954
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.754   121.141
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.145   121.265
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.158
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.278   120.946
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.253   121.176
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.043   120.698
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.043   120.698
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.822   120.728
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.248   121.244
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.907   120.680
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.907   120.680
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.878   120.684
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.148   120.676
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.961   120.580
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.961   120.580
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.814   121.433
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.773
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.965   121.493
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   120.558
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.207   121.482
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.416   120.761
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.669   121.427
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.348   120.640
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.597   120.678
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.489   120.952
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.510   120.805
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.686   120.562
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.080   121.596
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.977   121.605
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.689   120.538
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.868   121.598
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.428   121.383
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.440   121.373
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.709   121.540
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.174   121.595
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.506   121.322
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.159   121.623
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.537   120.791
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.537   120.791
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.901   120.377
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.901   120.377
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.492   121.424
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.631   121.001
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.632   121.118
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.632   121.118
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.392   121.297
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.646   121.016
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    24.646   121.016
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.688   120.389
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.688   120.389
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.532   120.475
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.352   121.297
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.976   121.056
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    23.347   121.319
    23.976   121.056
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    23.883   120.900     0.300
    23.756   121.133     0.300
    23.878   120.684     0.300
    23.489   120.952     0.300
    23.510   120.805     0.300
    23.686   120.562     0.300
    24.148   120.676     0.300
    23.814   121.433     0.300
    24.145   121.265     0.300
    23.351   120.593     0.300
    23.352   121.297     0.300
    23.498   120.424     0.300
    24.348   120.773     0.300
    23.189   121.017     0.300
    23.864   120.281     0.300
    23.246   120.614     0.300
    23.977   121.605     0.300
    24.416   120.761     0.300
    23.267   120.488     0.300
    24.080   121.596     0.300
    24.631   121.001     0.300
    24.440   121.373     0.300
    24.676   121.358     0.300
    23.904   120.857     0.300
    24.640   121.566     0.300
    23.163   120.757     0.300
    23.185   120.528     0.300
    23.082   120.583     0.300
    23.076   120.365     0.300
    23.346   120.211     0.300
    23.175   120.194     0.300
    22.746   120.632     0.300
    22.823   120.423     0.300
    23.638   120.222     0.300
    23.099   121.365     0.300
    22.725   120.491     0.300
    22.754   121.147     0.300
    23.484   120.235     0.300
    23.040   120.228     0.300
    22.821   121.072     0.300
    23.506   121.322     0.300
    23.597   120.678     0.300
    23.532   120.475     0.300
    24.253   121.176     0.300
    23.788   120.954     0.300
    23.301   120.630     0.300
    23.392   121.297     0.300
    22.597   120.954     0.300
    23.709   121.540     0.300
    23.871   121.507     0.300
    24.174   121.595     0.300
    23.478   120.300     0.300
    23.689   120.538     0.300
    22.993   120.646     0.300
    23.891   120.359     0.300
    23.822   120.728     0.300
    24.060   121.174     0.300
    24.253   121.158     0.300
    24.080   120.558     0.300
    23.669   121.427     0.300
    24.428   121.383     0.300
    23.492   121.424     0.300
    24.537   120.791     0.300
    23.955   121.176     0.300
    23.754   121.141     0.300
    23.696   120.853     0.300
    24.278   120.946     0.300
    24.207   121.482     0.300
    24.348   120.640     0.300
    24.447   120.705     0.300
    23.904   121.602     0.300
    24.033   120.926     0.300
    24.428   121.383     0.300
    24.012   120.957     0.300
    24.057   120.912     0.300
    24.248   121.244     0.300
    23.907   120.680     0.300
    24.043   120.698     0.300
    23.347   121.319     0.300
    23.901   120.377     0.300
    23.961   120.580     0.300
    23.965   121.493     0.300
    23.868   121.598     0.300
    24.159   121.623     0.300
    24.646   121.016     0.300
    23.688   120.389     0.300
    24.684   120.870     0.300
    24.310   121.741     0.300
    23.992   121.118     0.300
    24.632   121.118     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.781   120.986     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.417   120.944     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.328   120.769     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.317   120.774     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.980   120.703     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.890   121.124     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.857   121.105     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.920   121.107     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.854   121.014     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.935   120.998     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.423   120.649     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.595   120.743     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.842   121.011     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.281   120.675     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.939   121.048     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.419   120.905     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.856   121.023     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.884   120.760     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.828   121.046     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.303   120.822     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.521   120.844     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.281   120.556     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.018   120.748     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.211   120.732     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.692   120.984     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.829   121.056     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.790   120.722     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.796   120.727     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.772   120.766     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.882   121.084     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.849   121.026     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.348   120.443     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.933   121.051     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.893   121.086     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.927   121.028     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.881   121.068     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.859   121.020     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.867   121.008     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.884   121.075     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.859   121.016     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.917   121.114     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    24.015   121.059     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    23.976   121.056     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    23.806   120.918     0.000   222.000   222.000
    23.806   120.918     0.000   444.000   444.000
END
